uk.gov.hmrc.ct.computations

# CP296

###
Related Docs: class CP296 | package computations

#### object CP296 extends Calculated[CP296, ComputationsBoxRetriever] with SBACalculator with Serializable

Linear Supertypes
Serializable, Serializable, SBACalculator, AccountingPeriodHelper, NumberRounding, Calculated[CP296, ComputationsBoxRetriever], AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. CP296
2. Serializable
3. Serializable
4. SBACalculator
5. AccountingPeriodHelper
6. NumberRounding
7. Calculated
8. AnyRef
9. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def accountingPeriodDaysInFinancialYear(year: Int, accountingPeriod: HmrcAccountingPeriod): BigDecimal

   Definition Classes
     AccountingPeriodHelper

5. #### def accountingPeriodSpansTwoFinancialYears(accountingPeriod: HmrcAccountingPeriod): Boolean

   Definition Classes
     AccountingPeriodHelper

6. #### def apportionedCostOfBuilding(cost: BigDecimal, daysInTheYear: Int, rateForTy: SBARateForTaxYear): BigDecimal

   Definition Classes
     SBACalculator

7. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

8. #### def calculate(boxRetriever: ComputationsBoxRetriever): CP296

   Definition Classes
     CP296 → Calculated

9. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

10. #### def daysBetween(start: LocalDate, end: LocalDate): Int

    Definition Classes
      AccountingPeriodHelper

11. #### def daysInAccountingPeriod(accountingPeriod: HmrcAccountingPeriod): Int

    Definition Classes
      AccountingPeriodHelper

12. #### def endingFinancialYear(date: EndDate): Int

    Definition Classes
      AccountingPeriodHelper

13. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

15. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

16. #### def financialYearForDate(date: LocalDate): Int

    Definition Classes
      AccountingPeriodHelper

17. #### def financialYearStartingIn(year: Int): (LocalDate, LocalDate)

    Definition Classes
      AccountingPeriodHelper

18. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

19. #### def getCostForEachBuilding(boxRetriever: ComputationsBoxRetriever): List[Option[Int]]

20. #### def getDaysIntheYear(apStartDate: LocalDate): Int

    Definition Classes
      SBACalculator

21. #### def getSbaDetails(apStartDate: LocalDate, apEndDate: LocalDate, maybeFirstUsageDate: Option[LocalDate], maybeCost: Option[Int]): Option[SbaResults]

    Definition Classes
      SBACalculator

22. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

23. #### def isEarliestWrittenContractAfterAPStart(contractDate: LocalDate, apStartDate: LocalDate): Boolean

    Definition Classes
      SBACalculator

24. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

25. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

26. #### final def notify(): Unit

    Definition Classes
      AnyRef

27. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

28. #### val rateAfterTy2020: SBARateForTaxYear

    Definition Classes
      SBACalculator

29. #### val ratePriorTy2020: SBARateForTaxYear

    Definition Classes
      SBACalculator

30. #### def roundedToInt(value: BigDecimal): Int

    Definition Classes
      NumberRounding

31. #### def roundedToIntHalfDown(value: BigDecimal): Int

    Definition Classes
      NumberRounding

32. #### def roundedToIntHalfUp(value: BigDecimal): Int

    Definition Classes
      NumberRounding

33. #### def roundedTwoDecimalPlaces(value: BigDecimal): BigDecimal

    Definition Classes
      NumberRounding

34. #### def startingFinancialYear(date: StartDate): Int

    Definition Classes
      AccountingPeriodHelper

35. #### def sumAmount(xs: List[Option[Int]]): Option[Int]

    Definition Classes
      SBACalculator

36. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

37. #### def toString(): String

    Definition Classes
      AnyRef → Any

38. #### def validateAccountingPeriod(accountingPeriod: HmrcAccountingPeriod): Unit

    Definition Classes
      AccountingPeriodHelper

39. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

40. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

41. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from SBACalculator

### Inherited from AccountingPeriodHelper

### Inherited from NumberRounding

### Inherited from Calculated[CP296, ComputationsBoxRetriever]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped